# $Revision: 1.48 $, $Date: 2007/11/10 20:07:23 $
Summary:	Bootp and dhcp client for automatic IP configuration
Summary(es.UTF-8):	Cliente dchp y bootp para configuración automática de IP
Summary(pl.UTF-8):	Klient bootp i dhcp do automatycznej konfiguracji IP
Summary(pt_BR.UTF-8):	Cliente para dhcp e bootp para configuração automática de IP
Summary(ru.UTF-8):	Клиент bootp и dhcp для автоматической настройки IP
Summary(uk.UTF-8):	Клієнт bootp та dhcp для автоматичного налагодження IP
Name:		pump
Version:	0.8.24
Release:	2
License:	MIT
Group:		Networking/Utilities
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	866fc9f62b8161eb1514a6a06597edc9
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-pl.patch
BuildRequires:	gettext-devel
BuildRequires:	popt-devel
Requires:	rc-scripts
Obsoletes:	bootpc
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DHCP (Dynamic Host Configuration Protocol) and BOOTP (Boot Protocol)
are protocols which allow individual devices on an IP network to get
their own network configuration information (IP address, subnetmask,
broadcast address, etc.) from network servers. The overall purpose of
DHCP and BOOTP is to make it easier to administer a large network.

Pump is a combined BOOTP and DHCP client daemon, which allows your
machine to retrieve configuration information from a server. You
should install this package if you are on a network which uses BOOTP
or DHCP.

%description -l es.UTF-8
Cliente dchp y bootp para configuración automática de IP.

%description -l pl.UTF-8
DHCP (Dynamic Host Configuration Protocol) i BOOTP (Boot Protocol) to
protokoły pozwalające urządzeniom w sieci IP otrzymać informacje o
konfiguracji swojej sieci od serwerów. Celem DHCP i BOOTP jest
ułatwienie administrowania dużą siecią.

Pump jest demonem zawierającym klientów BOOTP i DHCP, co pozwala
maszynie odczytywać informacje o konfiguracji z serwera.

%description -l pt_BR.UTF-8
O pump é um cliente DHCP e BOOTP, que permite que sua máquina busque
informações de configuração de um servidor.

Instale este pacote se você deseja utilizar BOOTP ou DHCP.

%description -l uk.UTF-8
DHCP (Dynamic Host Configuration Protocol) та BOOTP (Boot Protocol) -
це протоколи, які дозволяють окремим пристроям IP-мережі отримувати
інформацію про їх конфігурацію ((IP-адреса, маска підмережі, бродкаст
і т.і.) з серверів мережі. Загальною метою DHCP та BOOTP є спрощення
керування великою мережею.

Pump - це комбінований демон клієнтів BOOTP та DHCP, який дозволяє
вашій машині отримувати конфігураційну інформацію з сервера.
Встановіть цей пакет якщо ви в мережі, яка використовує BOOTP або
DHCP.

%description -l ru.UTF-8
DHCP (Dynamic Host Configuration Protocol) и BOOTP (Boot Protocol) -
это протоколы, которые позволяют отдельным устройствам IP-сети
получать информацию о их конфигурации (IP-адрес, маска подсети,
бродкаст и т.п.) с сетевых серверов. Общей целью DHCP и BOOTP является
упрощение управления большой сетью.

Pump - это комбинированный демон клиентов BOOTP и DHCP, который
позволяет вашей машине получать конфигурационную информацию с сервера.
Установите этот пакет если вы в сети, которая использует BOOTP или
DHCP.

%package devel
Summary:	Header file for sending DHCP and BOOTP requests
Summary(pl.UTF-8):	Plik nagłówkowy do wysyłania żądań DHCP i BOOTP
Group:		Development/Libraries
# doesn't require base

%description devel
The pump-devel package provides system developers the ability to send
BOOTP and DHCP requests from their programs. BOOTP and DHCP are
protocols used to provide network configuration information to
networked machines.

%description devel -l pl.UTF-8
Ten pakiet daje programistom możliwość wysyłania żądań BOOTP i DHCP w
swoich programach. BOOTP i DHCP to protokoły służące do udostępniania
informacji o konfiguracji sieci innym maszynom.

%package static
Summary:	Static library for sending DHCP and BOOTP requests
Summary(pl.UTF-8):	Biblioteka statyczna do wysyłania żądań DHCP i BOOTP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for pump.

%description static -l pl.UTF-8
Statyczna biblioteka pump.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{eu_ES,eu}.po
mv -f po/{no,nb}.po
mv -f po/{sr,sr@latin}.po

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	lib=%{_lib} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/pump
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/pump.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libpump.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pump.spec,v $
Revision 1.48  2007/11/10 20:07:23  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.47  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.45  2006/05/23 19:18:37  qboosh
- pl desc for -static

Revision 1.44  2006/05/18 19:26:07  glen
- update to 0.8.24
- created -static
- truncate non-cvs changelog

Revision 1.43  2006/03/12 22:50:32  glen
- adapterized

Revision 1.42  2005/06/17 19:44:13  areq
- use proper libdir

Revision 1.41  2005/04/24 09:31:57  qboosh
- cleanup, fix locale names, added pl patch

Revision 1.40  2005/04/23 23:26:36  patrys
- forcing dropin refresh

Revision 1.39  2005/04/23 23:24:40  patrys
- up to 0.8.22 from redhat

Revision 1.38  2005/04/23 14:48:08  qboosh
- pl for -devel, don't obsolete it

Revision 1.37  2005/04/22 12:55:45  spider
- added header files

Revision 1.36  2005/02/26 10:32:03  darekr
- cosmetics

Revision 1.35  2004/03/19 23:41:04  marcus
- rel.10 for Ac.

Revision 1.34  2003/05/28 13:01:26  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:25:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/02/27 08:36:06  kloczek
- bump relelase to 9 and merge translations from KSI and Conectiva.

Revision 1.31  2002/02/27 08:08:15  marcus
- updated to 0.8.11 (from RedHat src.rpm)
- rel.1.

Revision 1.30  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/02/18 08:29:25  marcus
- rel. 3.

Revision 1.28  2002/01/18 02:14:43  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/11/23 12:43:21  qboosh
- s/Copyright/License/, adapterized, pl translations

Revision 1.26  2001/05/02 21:51:28  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.25  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.24  2000/06/09 07:23:52  kloczek
- added using %{__make} macro.

Revision 1.23  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.22  2000/05/09 13:52:45  kloczek
- release 2.

Revision 1.21  2000/05/09 13:52:25  kloczek
- updated to 0.7.9.

Revision 1.20  2000/05/09 13:26:18  zagrodzki
- updated to 0.7.8

Revision 1.19  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.17  2000/02/15 07:46:28  wiget
- build with shared libpopt
- remove netconfig

Revision 1.16  2000/02/14 04:35:25  kloczek
- updated to 0.7.5.

Revision 1.15  1999/11/15 02:40:37  kloczek
- update to 0.7.3 (rel 3 - in rawhide is 2).

Revision 1.14  1999/11/10 00:50:22  kloczek
- update to 0.7.2 (rel 3 - in rawhide is 2).

Revision 1.13  1999/09/09 20:20:09  kloczek
- updated to 0.7.1.

Revision 1.12  1999/08/17 15:09:19  kloczek
- updated to 0.7.0 (security fixes).

Revision 1.11  1999/07/28 07:19:56  kloczek
- release 2.

Revision 1.10  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.9  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
